Bug 1986127 - UI crash when installing helm chart or right click installed chart in topology
Summary: UI crash when installing helm chart or right click installed chart in topology
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Rohit Rai
QA Contact: Debsmita Santra
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-26 17:51 UTC by Rohit Rai
Modified: 2021-10-18 17:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:41:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9624 0 None open Bug 1986127: Fix topology crash while opening helm workload 2021-07-26 17:52:24 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:42:29 UTC

Description Rohit Rai 2021-07-26 17:51:29 UTC
Description of problem:
When installing a helm chart the helm chart is installed, but the console crashs with an error.
The console crashes also when the user right click of helm chart workload in topology.
An error was catched:
TypeError
Description:
Converting circular structure to JSON --> starting at object with constructor 'd' | property 'children' -> object with constructor 'Array' | index 0 -> object with constructor 's' --- property 'parent' closes the circle

Component Trace:
minified version

Stack Trace:
TypeError: Converting circular structure to JSON
    --> starting at object with constructor 'd'
    |     property 'children' -> object with constructor 'Array'
    |     index 0 -> object with constructor 's'
    --- property 'parent' closes the circle
    at JSON.stringify (<anonymous>)
Prerequisites (if any, like setup, operators/versions):
Steps to Reproduce
Switch to developer perspective
Add page > Select Helm charts
Install one of the charts (error happens at least with Dotnet 0.0.1 and Quarkus 0.0.3)
https://github.com/openshift/console/pull/9519/files#diff-f559d79848ae57197f5bd502fa3e7707f32fdcf388a36ccc7f7bc0b2d80a5677L9-L13
Actual results:
Error is being displayed

Expected results:
Could install the chart with an error.
The context menu should be displayed when right click the chart in topology.
Reproducibility (Always/Intermittent/Only Once):
Always
Build Details:
4.9.0-0.nightly-2021-07-25-125326
Additional info:
Normal git workload, working fine, Only for Helm chart workloads error is displayed

Comment 2 Debsmita Santra 2021-08-05 11:12:21 UTC
verified on 4.9.0-0.nightly-2021-08-04-131508

Comment 5 errata-xmlrpc 2021-10-18 17:41:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.